%global srcname virtualenv
Name:           python-%{srcname}
Version:        20.4.7
Release:        1
Summary:        A tool to create isolated Python environments
License:        MIT
URL:            http://pypi.python.org/pypi/virtualenv
Source0:        https://files.pythonhosted.org/packages/7c/46/4d4c37b6d96eb06961f8b2f38f7df12bb1a4951ff1145ac5dead9977e674/virtualenv-20.4.7.tar.gz

BuildArch:      noarch
BuildRequires:  python3-appdirs python3-distlib python3-filelock python3-six
BuildRequires:  python3-devel python3-setuptools_scm python3-setuptools

%description
Virtualenv is a tool to create isolated Python environments. Since Python
3.3, a subset of it has been integrated into the standard library under
the venv module. Note though, that the venv module does not offer all
features of this library (e.g. cannot create bootstrap scripts, cannot
create virtual environments for other python versions than the host python,
not relocatable, etc.). Tools in general as such still may prefer using
virtualenv for its ease of upgrading (via pip), unified handling of different
Python versions and some more advanced features.

%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Requires:       python3-setuptools python3-appdirs python3-virtualenv-python26
Requires:       python3-distlib python3-filelock python3-six
%{?python_provide:%python_provide python3-virtualenv}
Provides:       virtualenv = %{version}-%{release}
Requires:       python-pip-wheel python-setuptools-wheel python-wheel-wheel
Requires:       python3-appdirs python3-distlib python3-filelock

%description -n python3-virtualenv
virtualenv support in python3.

%package -n     python3-virtualenv-python26
Summary:        Extra bits of virtuelenv only needed with Python 2.6
Requires:       python3-virtualenv = %{version}-%{release}
%{?python_provide:%python_provide python3-virtualenv-python26}
Provides:       bundled(python2dist(argparse)) = 1.4.0
Provides:       bundled(python2dist(pip)) = 19.1.1
Provides:       bundled(python2dist(pip)) = 21.1.2
Provides:       bundled(python2dist(setuptools)) = 43.0.0
Provides:       bundled(python2dist(setuptools)) = 44.1.1
Provides:       bundled(python2dist(setuptools)) = 50.3.2
Provides:       bundled(python2dist(wheel)) = 0.33.6
Provides:       bundled(python2dist(wheel)) = 0.36.2

%description -n python3-virtualenv-python26
Tools that support for python2.6 virtual environments with python3.

%prep
%autosetup -n virtualenv-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-virtualenv
%license LICENSE
%doc docs/*rst PKG-INFO
%{python3_sitelib}/virtualenv*
%{_bindir}/virtualenv

%files -n python3-virtualenv-python26
%{python3_sitelib}/virtualenv/seed/wheels/embed/*.whl

%changelog
* Thu Dec 09 2021 shixuantong <shixuantong@huawei.com> - 20.4.7-1
- update version to 20.4.7

* Thu Aug 05 2021 liusheng <liusheng2048@gmail.com> - 20.4.2-1
- Upgrade to version 20.4.2

* Wed Apr 28 2021 shixuantong<shixuantong@huawei.com> - 20.3.0-2
- add requires python3-appdirs python3-distlib python3-filelock

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 20.3.0-1
- upgrade version to 20.3.0

* Fri Jul 24 2020 shixuantong <shixuantong@huawei.com> - 20.0.27-1
- update to 20.0.27-1

* Thu Jun 4 2020 chengzihan <chengzihan2@huawei.com> 20.0.21-0
- Upgrade package to version 20.0.21

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 16.0.0-6
- Package init
